--=============================================================================
-- File:           drop_saif.sql
-- Description:    Drop SAIF 3.2 types.
-- Dependencies:   User objects that use these types must dropped before these
--                 types can be dropped. The enumerations are dropped last by
--                 an automatically generated script (like they were created).
-- $Header: /users/vis/jta/bigfoot/saif/src/RCS/drop_saif.sql,v 1.2 1994/10/26 20:41:53 jta Exp $
--=============================================================================

--
-- Drop the views created in saif4_views.sql
--
drop view Grid_v;
drop view SpatialObject_v;

--
-- Drop the abstract superclasses created in saif3_tables.sql
--
drop table GeneralRaster;
drop type  GeneralRaster_t;
drop table Raster;
drop type  Raster_t;
drop table Channel;
drop type  Channel_t;
drop table Grid;
drop type  Grid_t;
drop table SpatialObject;
drop type  SpatialObject_t;
drop table GeneralLocation;
drop type  GeneralLocation_t;

--
-- Drop the composite types created in saif2_types.sql
--
drop cast (BoundingBox_t as Box);
drop cast (Box as BoundingBox_t);
drop type BoundingBox_t;
drop type CellGeometry_t;
drop type GridFramework_t;
drop type GridReference_t;
drop type CoordXY_t;
drop type Coordinate_t;
drop type SpatialReferencing_t;
drop type CoordinateSystem_t;
drop type Projection_t;
drop type GeometricObject_t;
drop type DayTimeInterval_t;
drop table Duration;
drop type Duration_t;
