--=============================================================================
-- File:           saif4_views.sql
--
-- Description:    Creates views to flatten the composite types in the
--                 abstract superclasses. View names are the name of
--                 the table, followed by an _v.
--
-- Dependencies:   saif1_enums.sql, saif2_types.sql, saif3_tables.sql.
--
-- Mods:           04/12/94  jta    works under Montage 2.0.9 on OSF1
--                 06/20/94  jta    upgraded to Illustra 2.0.12
--                 10/07/94  jta    upgraded views according to changes in
--                                  saif3_tables.sql.
--                 10/25/94  jta    removed StructuredData_v, obsolete
--                                  in SAIF 3.2
--
-- $Id: saif4_views.sql,v 1.4 1994/10/26 20:42:29 jta Exp $
--=============================================================================

create view Grid_v
     (positionOfOrigin,
      ordering,
      originCorner,
      cellPostitionAtCorner,
      originCoordinates,
      gridDimensions,
      gridSpacing,
      offsetStructure,
      unit,
      cellSize,
      units,
      CellShape)
as select
      positionOfOrigin,
      orderAndOrigin.ordering,
      orderAndOrigin.originCorner,
      orderAndOrigin.cellPostitionAtCorner,
      orderAndOrigin.originCoordinates,
      spacing.gridDimensions,
      spacing.gridSpacing,
      spacing.offsetStructure,
      spacing.unit,
      cellGeometry.cellSize,
      cellGeometry.units,
      cellGeometry.CellShape
from Grid;

create view SpatialObject_v
    (qualifier,
     category,
     xUnits,
     yUnits)
as select
     geometry.qualifier,
     spatialReferencing.coordSystem.horizontal.category,
     spatialReferencing.coordSystem.horizontal.xUnits,
     spatialReferencing.coordSystem.horizontal.yUnits
from SpatialObject;
