-- Create some enumerated types.
--
-- $Id: test_enums.sql,v 1.7 1994/10/27 16:58:40 jta Exp $

--
-- list release information
--
return saif_Release();

--
-- list the valid values for each enumeration
--
return SaifEnumHelp() as Enum_List;
return SaifEnumHelp('CellShape') as CellShape;
return SaifEnumHelp('GridOrder') as GridOrder;
return SaifEnumHelp('IndexScheme') as IndexScheme;
return SaifEnumHelp('LocationalQualifier') as LocationalQualifier;
return SaifEnumHelp('OffsetStructure') as OffsetStructure;
return SaifEnumHelp('OriginReference') as OriginReference;
return SaifEnumHelp('PrimitiveInstanceType') as PrimitiveInstanceType;
return SaifEnumHelp('ProjectionCategory') as ProjectionCategory;
return SaifEnumHelp('SatelliteBands') as SatelliteBands;
return SaifEnumHelp('UnitMeaning') as UnitMeaning;

-- try to get help on a nonexistent enum
return SaifEnumHelp('Bogus') as Bogus;

--
-- create a table with each enum
--
create table foo (
        cellShape         CellShape,
	ordering          GridOrder,
        indexingScheme    IndexScheme,
        qualifier         LocationalQualifier,
	originCorner      OriginReference,
        instancePrimitive PrimitiveInstanceType,
        category          ProjectionCategory,
        xUnits            UnitMeaning);

-- insert the first value in each enum list
insert into foo 
     values ('point',
             'rowOrder', 
             'sequentialArray',
             'definite',
             'centre',
             'string',
             'geodetic',
             'kilometres');

-- insert last value in each enum list
insert into foo 
     values ('triangle',
             'boustrophedonByColumn',
             'nTree',
             'virtual',
             'seBottomLast', 
             'real80',
             'other',
             'other');

select * from foo;

--
-- Insert bogus values. These should fail, and the error message should
-- (correctly) identify the Enumeration type.
--
insert into foo (cellShape)         values ('bogus');
insert into foo (ordering)          values ('bogus');
insert into foo (indexingScheme)    values ('bogus');
insert into foo (qualifier)         values ('bogus');
insert into foo (originCorner)      values ('bogus');
insert into foo (instancePrimitive) values ('bogus');
insert into foo (category)          values ('bogus');
insert into foo (xUnits)            values ('bogus');


--
-- insert NULL's
--
insert into foo (ordering) values ('boustrophedonByRow');
insert into foo (originCorner) values ('se');

select * from foo;

-- Select on ranges
select * from foo where ordering = 'rowOrder';
select * from foo where xUnits <= 'months';
select * from foo where indexingScheme <= 'sequentialArray';


--
-- try arrays
--
create table goofy (
	scalar_xunits UnitMeaning, 
	array_xunits arrayof(UnitMeaning));

insert into goofy values ('metres', '[inches, feet]');  
insert into goofy values ('radians', '[days, hours, minutes, seconds]');

select * from goofy;

drop table foo;
drop table goofy;
